Skip to main content
POST
/
v1
/
image-generation
Image generation - Create task
curl --request POST \
  --url https://api-auroraai.visionular.cn/v1/image-generation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Change to green clothes",
  "model": "gemini-3-pro-image-preview",
  "max_images": 4,
  "quality": "2K",
  "images": [
    "https://picfile-baidu.babybus.com/AiUserData/AiFile/20260123/b30541e678484fffb257fc2b7a584ef1.png"
  ],
  "size": "2:3"
}
'
{
  "code": 0,
  "data": {
    "task_id": "d69cbf03-bb75-4928-b518-52c958b6b092"
  },
  "msg": "",
  "request_id": "68982830-2b37-441e-a387-3a9de2737b92"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
prompt
string
required

Recommended: no more than 300 Chinese characters or 600 English words

model
string
required

Currently supported: seedream-4.5, nano-banana-pro-light-i2i, gemini-3-pro-image-text-to-image, gemini-2.5-flash-image-text-to-image

images
string[]
required

Up to 10 images, each <= 10MB

size
string

1x1, 2x3, 3x2, 3x4, 4x3, 4x5, 5x4, 9x16, 16x9, 21x9. Supported by nano-banana-pro-light-i2i and gemini-3-pro-image-text-to-image

quality
string

Specifies output image quality/resolution. seedream-4.5: 2K, 4K; nano-banana-pro-light-i2i and gemini-3-pro-image-text-to-image: 1K, 2K, 4K

max_images
integer

maxNum=4. The model will try to generate the requested count, but the exact number is not guaranteed

Response

200 - application/json
code
integer
required
data
object
required
msg
string
required
request_id
string
required